"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.write = exports.read = exports.getPath = void 0;
const os = require("os");
const util = require("./util");
const BASE_DIR = process.env['FREECDN_STORAGE'] || `${os.homedir()}/.freecdn`;
function checkDir() {
    const s = util.statFile(BASE_DIR);
    if (s) {
        if (s.isDirectory()) {
            return true;
        }
        util.unlinkFile(BASE_DIR);
    }
    return util.mkdir(BASE_DIR);
}
function getPath(file) {
    if (checkDir()) {
        return BASE_DIR + '/' + file;
    }
}
exports.getPath = getPath;
function read(file) {
    const fullPath = getPath(file);
    if (fullPath) {
        return util.readFile(fullPath, true);
    }
}
exports.read = read;
function write(file, data) {
    const fullPath = getPath(file);
    if (fullPath) {
        return util.writeFile(fullPath, data);
    }
    return false;
}
exports.write = write;
//# sourceMappingURL=storage.js.map